Skip to content
Amplify APIReference

Update multiple PromotedLinks

PUT/campaigns/{campaignId}/promotedLinks/

You can update as much as 500 multiple promoted links at once that belong to an existing campaign.

PUT a JSON with the following attributes:

Notes regarding the response:

Since some ads creation may succeed and some may fail, the response is constructed as follows:

  • operationStatus - OperationStatus

  • id - The id of the updated Promoted Link

  • promotedLink - The updated promoted link (if the response is successful)

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

campaignId*number

The Id of the Campaign

Request Body

application/json

curl -X PUT "https://example.com/campaigns/campaignId/promotedLinks/" \  -H "Content-Type: application/json" \  -d '[    {      "id": "0092e5c3547371af0887d9dd243485532b",      "enabled": true    },    {      "id": "11t2e5c3547371af0887d9dd243485532c",      "enabled": true    }  ]'
Empty